Core - Bug # 36616

Status: Resolved Priority: Must have
Author: Helmuth Antholzer Category:

Created: 2012-04-26 Assigned To: Stefan Galinski
Updated: 2013-01-10 Due date:

TYPO3 Version: 4.7

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: TYPO3 4.7 sectionIndex not working correctly on multilanguage site

Description

| have set up a site with two languages. | added a content element sitemap (section index). The sectionIindex does not respect
sys_language_uid and and all elements are shown, also the ones from alternative language.

Changing the following in function sectionlndex in file class.tslib_menu.php should resolve the problem.

From

if (1$pid) {
$pid = $this->id;
if (SGLOBALS['TSFE']->sys_language_uid && count($this->sys_page->getPageOverlay($pid))) {
$where .= "' AND sys_language_uid=". intval($GLOBALS['TSFE']->sys_language_uid);
} else {
$where .= "' AND sys_language_uid=0';
}
}

to

if (1$pid) {
$pid = $this->id;

1

if (SGLOBALS['TSFE']->sys_language_uid && count($this->sys_page->getPageOverlay($pid))) {
$where .= ' AND sys_language_uid=". intval($GLOBALS[' TSFE']->sys_language_uid);

}else {
$where .= ' AND sys_language_uid=0";

1

Related issues:
related to Core - Bug # 37449: Section Index incorrect output Closed 2012-05-23
related to Core - Bug # 17354 fallback for menus. "content_fallback;1,0" has... Under Review 2007-07-22
History

#1 - 2012-04-26 16:04 - Helmuth Antholzer
- Project changed from Base Package (aka typo3_src) to Core

#2 - 2012-05-16 17:10 - Stefan Galinski
- Status changed from New to Accepted
- TYPOS3 Version set to 4.5

#3 - 2012-05-16 17:37 - Stefan Galinski
- Assigned To set to Stefan Galinski
- TYPO3 Version changed from 4.5 to 4.7

#4 - 2012-05-16 17:52 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11249

#5 - 2012-05-16 19:22 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11249

#6 - 2012-05-18 15:34 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11249

#7 - 2012-06-12 20:43 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11249

#8 - 2012-07-25 12:54 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11249

#9 - 2012-07-25 15:02 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11249

#10 - 2012-07-25 18:27 - Gerrit Code Review

2015-08-04

3/5


http://review.typo3.org/11249
http://review.typo3.org/11249
http://review.typo3.org/11249
http://review.typo3.org/11249
http://review.typo3.org/11249
http://review.typo3.org/11249

Patch set 7 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11249

#11 - 2012-07-26 15:37 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11249

#12 - 2012-07-27 16:58 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11249

#13 - 2012-07-30 19:50 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11249

#14 - 2012-08-07 21:13 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at http://review.typo3.org/13506

#15 - 2012-08-07 21:30 - Stefan Galinski
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ae9d18c97ccf4ca3dfac9a42b5a9820d51b4ece36.

#16 - 2013-01-10 12:27 - Kurt Kunig
The above mentioned fix is no longer in the function "sectionindex" of TYPO3 V4.7.7 but:
in line 1648 you'll find this:
$selectSetup = array(
'pidinList' => $pid,
'orderBy' => $altSortField,

'languageField' => 'sys_language_uid',
‘where' => 'colPos=0'

so change

‘where' => 'colPos=0'
to

‘where' =>"

2015-08-04

5/5



